Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 299146 - x11-libs/qscintilla has optional dep on qt3
Summary: x11-libs/qscintilla has optional dep on qt3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 283429
  Show dependency tree
 
Reported: 2009-12-31 17:49 UTC by Ben de Groot (RETIRED)
Modified: 2010-01-02 22:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben de Groot (RETIRED) gentoo-dev 2009-12-31 17:49:50 UTC
Please remove the optional dependency on x11-libs/qt:3 as Qt3 is no longer supported and scheduled for removal. Obviously this can only happen when packages depending on qscintilla have been fixed.
Comment 1 Davide Pesavento gentoo-dev 2010-01-01 15:38:23 UTC
I checked all reverse dependencies, according to:
http://tinderbox.dev.gentoo.org/misc/rindex/x11-libs/qscintilla
http://tinderbox.dev.gentoo.org/misc/rindex/dev-python/qscintilla-python

The only "problematic" package is dev-python/PyQt (which will be masked and removed later) and the transitive closure of its reverse deps:
http://tinderbox.dev.gentoo.org/misc/rindex/dev-python/PyQt
Comment 2 Ben de Groot (RETIRED) gentoo-dev 2010-01-01 17:15:20 UTC
But as qt4 will be the only option when we remove qt3 support, that means that we will drop the qt4 useflag as well, which in turn means that all packages depending on qscintilla{,-python}[qt4] will need to have their use dep removed at the same time.
Comment 3 Ben de Groot (RETIRED) gentoo-dev 2010-01-02 22:38:00 UTC
Fixed. All old cruft p.masked.